import { nextTick } from 'vue';
import { WrapperAPI } from './types';
import { ErrorWrapper } from './error-wrapper';
export declare class DOMWrapper<ElementType extends Element> implements WrapperAPI {
    element: ElementType;
    constructor(element: ElementType);
    classes(className?: any): boolean | string[];
    attributes(key?: string): any;
    exists(): boolean;
    text(): string;
    html(): string;
    find<T extends Element>(selector: string): DOMWrapper<T> | ErrorWrapper;
    findAll<T extends Element>(selector: string): DOMWrapper<T>[];
    private setChecked;
    setValue(value?: any): Promise<typeof nextTick>;
    private setSelected;
    trigger(eventString: string): Promise<typeof nextTick>;
}
