import { VNode, ComponentOptions, Plugin, Directive, Component } from 'vue';
declare type Slot = VNode | string | {
    render: Function;
};
interface MountingOptions {
    data?: () => Record<string, unknown>;
    props?: Record<string, any>;
    slots?: {
        default?: Slot;
        [key: string]: Slot;
    };
    global?: {
        plugins?: Plugin[];
        mixins?: ComponentOptions[];
        mocks?: Record<string, any>;
        provide?: Record<any, any>;
        components?: Record<string, Component | object>;
        directives?: Record<string, Directive>;
    };
    stubs?: Record<string, any>;
}
export declare function mount(originalComponent: any, options?: MountingOptions): import("./vue-wrapper").VueWrapper;
export {};
